## python-numpy 1.0.4

=== numpy/doc/swig/doc/Makefile ===
# ReStructured Text
RST2HTML = rst2html.py
RST2LATEX = rst2latex.py
RFLAGS = --generator --time
HTML_FLAGS = --no-xml-declaration
LATEX_FLAGS =
LATEX = pdflatex

# Web pages that need to be made
WEB_PAGES = numpy_swig.html testing.html

# LaTeX files that need to be made
LATEX_FILES = numpy_swig.tex testing.tex

# PDF files that need to be made
PDF_FILES = numpy_swig.pdf testing.pdf

# Default target: documentation
.PHONY : doc
doc: html pdf

# HTML target
.PHONY : html
html: $(WEB_PAGES)

# Rule: %.txt -> %.html
%.html: %.txt
	$(RST2HTML) $(RFLAGS) $(HTML_FLAGS) $< $@

# LaTeX target
.PHONY : tex
tex: $(LATEX_FILES)

# Rule: %.txt -> %.tex
%.tex: %.txt
	$(RST2LATEX) $(RFLAGS) $(LATEX_FLAGS) $< $@

# PDF target
.PHONY : pdf
pdf: $(PDF_FILES)

# Rule: %.tex -> %.pdf
%.pdf: %.tex
	$(LATEX) $<
	$(LATEX) $<

# Clean target
.PHONY : clean
clean:
	$(RM) $(LATEX_FILES)
	$(RM) *.pyc *.aux *.dvi *.log *.out *~

=== numpy/doc/swig/test/Makefile ===
# SWIG
INTERFACES = Vector.i Matrix.i Tensor.i
WRAPPERS   = $(INTERFACES:.i=_wrap.cxx)
PROXIES    = $(INTERFACES:.i=.py      )

# Default target: build the tests
.PHONY : all
all: $(WRAPPERS) Vector.cxx Vector.h Matrix.cxx Matrix.h Tensor.cxx Tensor.h
	./setup.py build

# Test target: run the tests
.PHONY : test
test: all
	testVector.py
	testMatrix.py
	testTensor.py

# Rule: %.i -> %_wrap.cxx
%_wrap.cxx: %.i %.h ../numpy.i
	swig -c++ -python $<

# Clean target
.PHONY : clean
clean:
	$(RM) -r build
	$(RM) $(WRAPPERS)
	$(RM) $(PROXIES)

## python-numpy 1.1.0

=== numpy/core/SConstruct ===
# Last Change: Mon Apr 21 07:00 PM 2008 J
# vim:syntax=python
import os
import sys
from os.path import join as pjoin, basename as pbasename, dirname as pdirname
from copy import deepcopy

from numscons import get_python_inc, get_pythonlib_dir
from numscons import GetNumpyEnvironment
from numscons import CheckCBLAS 
from numscons import write_info

from scons_support import CheckBrokenMathlib, define_no_smp, \
    check_mlib, check_mlibs, is_npy_no_signal
from scons_support import array_api_gen_bld, ufunc_api_gen_bld, template_bld, \
                          umath_bld


env = GetNumpyEnvironment(ARGUMENTS)
env.Append(CPPPATH = [get_python_inc()])
if os.name == 'nt':
    # NT needs the pythonlib to run any code importing Python.h, including
    # simple code using only typedef and so on, so we need it for configuration
    # checks
    env.AppendUnique(LIBPATH = [get_pythonlib_dir()])

#=======================
# Starting Configuration
#=======================
config = env.NumpyConfigure(custom_tests = {'CheckBrokenMathlib' : CheckBrokenMathlib,
    'CheckCBLAS' : CheckCBLAS}, config_h = pjoin(env['build_dir'], 'config.h'))

# numpyconfig_sym will keep the values of some configuration variables, the one
# needed for the public numpy API.
 
# Convention: list of tuples (definition, value). value:
# - 0: #undef definition
# - 1: #define definition
# - string: #define definition value
numpyconfig_sym = []

#---------------
# Checking Types
#---------------
if not config.CheckHeader("Python.h"):
    raise RuntimeError("Error: Python.h header is not found (or cannot be "
"compiled). On linux, check that you have python-dev/python-devel packages. On"
" windows, check \ that you have the platform SDK.")

def check_type(type, include = None):
    st = config.CheckTypeSize(type, includes = include)
    type = type.replace(' ', '_')
    if st:
        numpyconfig_sym.append(('SIZEOF_%s' % type.upper(), '%d' % st))
    else:
        numpyconfig_sym.append(('SIZEOF_%s' % type.upper(), 0))

for type in ('short', 'int', 'long', 'float', 'double', 'long double'):
    check_type(type)

for type in ('Py_intptr_t',):
    check_type(type, include = "#include <Python.h>\n")

# We check declaration AND type because that's how distutils does it.
if config.CheckDeclaration('PY_LONG_LONG', includes = '#include <Python.h>\n'):
    st = config.CheckTypeSize('PY_LONG_LONG', 
                              includes = '#include <Python.h>\n')
    assert not st == 0
    numpyconfig_sym.append(('DEFINE_NPY_SIZEOF_LONGLONG', 
                            '#define NPY_SIZEOF_LONGLONG %d' % st))
    numpyconfig_sym.append(('DEFINE_NPY_SIZEOF_PY_LONG_LONG', 
                            '#define NPY_SIZEOF_PY_LONG_LONG %d' % st))
else:
    numpyconfig_sym.append(('DEFINE_NPY_SIZEOF_LONGLONG', ''))
    numpyconfig_sym.append(('DEFINE_NPY_SIZEOF_PY_LONG_LONG', ''))

if not config.CheckDeclaration('CHAR_BIT', includes= '#include <Python.h>\n'):
    raise RuntimeError(\
"""Config wo CHAR_BIT is not supported with scons: please contact the
maintainer (cdavid)""")

#----------------------
# Checking signal stuff
#----------------------
if is_npy_no_signal():
    numpyconfig_sym.append(('DEFINE_NPY_NO_SIGNAL', '#define NPY_NO_SIGNAL\n'))
    config.Define('__NPY_PRIVATE_NO_SIGNAL', 
                  comment = "define to 1 to disable SMP support ")
else:
    numpyconfig_sym.append(('DEFINE_NPY_NO_SIGNAL', ''))

#---------------------
# Checking SMP option
#---------------------
if define_no_smp():
    nosmp = 1
else:
    nosmp = 0
numpyconfig_sym.append(('NPY_NO_SMP', nosmp))

#----------------------
# Checking the mathlib 
#----------------------
mlibs = [[], ['m'], ['cpml']]
mathlib = os.environ.get('MATHLIB')
if mathlib: 
    mlibs.insert(0, mathlib)

mlib = check_mlibs(config, mlibs)

# XXX: this is ugly: mathlib has nothing to do in a public header file
numpyconfig_sym.append(('MATHLIB', ','.join(mlib)))

#----------------------------------
# Checking the math funcs available
#----------------------------------
# Function to check:
mfuncs = ('expl', 'expf', 'log1p', 'expm1', 'asinh', 'atanhf', 'atanhl',
          'isnan', 'isinf', 'rint')

# Set value to 1 for each defined function (in math lib)
mfuncs_defined = dict([(f, 0) for f in mfuncs])

# TODO: checklib vs checkfunc ?
def check_func(f):
    """Check that f is available in mlib, and add the symbol appropriately.  """
    st = config.CheckDeclaration(f, language = 'C', includes = "#include <math.h>")
    if st:
        st = config.CheckFunc(f, language = 'C')
    if st:
        mfuncs_defined[f] = 1
    else:
        mfuncs_defined[f] = 0

for f in mfuncs:
    check_func(f)

if mfuncs_defined['expl'] == 1:
    config.Define('HAVE_LONGDOUBLE_FUNCS',
                  comment = 'Define to 1 if long double funcs are available')
if mfuncs_defined['expf'] == 1:
    config.Define('HAVE_FLOAT_FUNCS',
                  comment = 'Define to 1 if long double funcs are available')
if mfuncs_defined['asinh'] == 1:
    config.Define('HAVE_INVERSE_HYPERBOLIC',
                  comment = 'Define to 1 if inverse hyperbolic funcs are '\
                            'available')
if mfuncs_defined['atanhf'] == 1:
    config.Define('HAVE_INVERSE_HYPERBOLIC_FLOAT',
                  comment = 'Define to 1 if inverse hyperbolic float funcs '\
                            'are available')
if mfuncs_defined['atanhl'] == 1:
    config.Define('HAVE_INVERSE_HYPERBOLIC_LONGDOUBLE',
                  comment = 'Define to 1 if inverse hyperbolic long double '\
                            'funcs are available')

#-------------------------------------------------------
# Define the function PyOS_ascii_strod if not available
#-------------------------------------------------------
if not config.CheckDeclaration('PyOS_ascii_strtod', 
                               includes = "#include <Python.h>"):
    if config.CheckFunc('strtod'):
        config.Define('PyOS_ascii_strtod', 'strtod', 
                      "Define to a function to use as a replacement for "\
                      "PyOS_ascii_strtod if not available in python header")

#------------------------------------
# DISTUTILS Hack on AMD64 on windows
#------------------------------------
# XXX: this is ugly
if sys.platform=='win32' or os.name=='nt':
    from distutils.msvccompiler import get_build_architecture
    a = get_build_architecture()
    print 'BUILD_ARCHITECTURE: %r, os.name=%r, sys.platform=%r' % \
          (a, os.name, sys.platform)
    if a == 'AMD64':
        distutils_use_sdk = 1
        config.Define('DISTUTILS_USE_SDK', distutils_use_sdk, 
                      "define to 1 to disable SMP support ")

#--------------
# Checking Blas
#--------------
if config.CheckCBLAS():
    build_blasdot = 1
else:
    build_blasdot = 0

config.Finish()
write_info(env)

#==========
#  Build
#==========

#---------------------------------------
# Generate the public configuration file
#---------------------------------------
config_dict = {}
# XXX: this is ugly, make the API for config.h and numpyconfig.h similar
for key, value in numpyconfig_sym:
    config_dict['@%s@' % key] = str(value)
env['SUBST_DICT'] = config_dict

include_dir = 'include/numpy'
env.SubstInFile(pjoin(env['build_dir'], 'numpyconfig.h'), 
                pjoin(env['src_dir'], include_dir, 'numpyconfig.h.in'))

env['CONFIG_H_GEN'] = numpyconfig_sym

#---------------------------
# Builder for generated code
#---------------------------
env.Append(BUILDERS = {'GenerateMultiarrayApi' : array_api_gen_bld,
                       'GenerateUfuncApi' : ufunc_api_gen_bld,
                       'GenerateFromTemplate' : template_bld,
                       'GenerateUmath' : umath_bld})

#------------------------
# Generate generated code
#------------------------
scalartypes_src = env.GenerateFromTemplate(pjoin('src', 'scalartypes.inc.src'))
arraytypes_src = env.GenerateFromTemplate(pjoin('src', 'arraytypes.inc.src'))
sortmodule_src = env.GenerateFromTemplate(pjoin('src', '_sortmodule.c.src'))
umathmodule_src = env.GenerateFromTemplate(pjoin('src', 'umathmodule.c.src'))
scalarmathmodule_src = env.GenerateFromTemplate(
                            pjoin('src', 'scalarmathmodule.c.src'))

umath = env.GenerateUmath('__umath_generated',
                          pjoin('code_generators', 'generate_umath.py'))

multiarray_api = env.GenerateMultiarrayApi('multiarray_api', 
                        [ pjoin('code_generators', 'array_api_order.txt'),
                          pjoin('code_generators', 'multiarray_api_order.txt')])

ufunc_api = env.GenerateUfuncApi('ufunc_api', 
                    pjoin('code_generators', 'ufunc_api_order.txt'))

env.Append(CPPPATH = [pjoin(env['src_dir'], 'include'), env['build_dir']])

#-----------------
# Build multiarray
#-----------------
multiarray_src = [pjoin('src', 'multiarraymodule.c')]
multiarray = env.NumpyPythonExtension('multiarray', source = multiarray_src)

#------------------
# Build sort module
#------------------
sort = env.NumpyPythonExtension('_sort', source = sortmodule_src)

#-------------------
# Build umath module
#-------------------
umathmodule = env.NumpyPythonExtension('umath', source = umathmodule_src)

#------------------------
# Build scalarmath module
#------------------------
scalarmathmodule = env.NumpyPythonExtension('scalarmath', 
                                            source = scalarmathmodule_src)

#----------------------
# Build _dotblas module
#----------------------
if build_blasdot:
    dotblas_src = [pjoin('blasdot', i) for i in ['_dotblas.c']]
    blasenv = env.Clone()
    blasenv.Append(CPPPATH = pjoin(env['src_dir'], 'blasdot'))
    dotblas = blasenv.NumpyPythonExtension('_dotblas', source = dotblas_src)

=== numpy/linalg/SConstruct ===
# Last Change: Fri Nov 16 05:00 PM 2007 J
# vim:syntax=python
import os.path

import __builtin__
__builtin__.__NUMPY_SETUP__ = True

from numpy.distutils.misc_util import get_numpy_include_dirs, get_mathlibs
from numscons import GetNumpyEnvironment, scons_get_paths, \
                     scons_get_mathlib
from numscons import CheckF77LAPACK
from numscons import write_info

env = GetNumpyEnvironment(ARGUMENTS)
env.Append(CPPPATH = scons_get_paths(env['include_bootstrap']))

config = env.NumpyConfigure(custom_tests = 
    {'CheckLAPACK' : CheckF77LAPACK})

use_lapack = config.CheckLAPACK()

mlib = scons_get_mathlib(env)
env.AppendUnique(LIBS = mlib)

config.Finish()
write_info(env)

sources = ['lapack_litemodule.c']
if not use_lapack:
    sources.extend(['zlapack_lite.c', 'dlapack_lite.c', 'blas_lite.c',
                    'dlamch.c', 'f2c_lite.c'])
lapack_lite = env.NumpyPythonExtension('lapack_lite', source = sources)

=== numpy/numarray/SConstruct ===
# Last Change: Fri Oct 19 09:00 AM 2007 J
# vim:syntax=python
import __builtin__
__builtin__.__NUMPY_SETUP__ = True
from numpy.distutils.misc_util import get_numpy_include_dirs
from numscons import GetNumpyEnvironment, scons_get_paths

env = GetNumpyEnvironment(ARGUMENTS)
env.Append(CPPPATH = scons_get_paths(env['include_bootstrap']))
env.Append(CPPPATH = env['src_dir'])

_capi = env.NumpyPythonExtension('_capi', source = ['_capi.c'])

=== numpy/random/SConstruct ===
# Last Change: Tue Nov 13 11:00 PM 2007 J
# vim:syntax=python
import os

import __builtin__
__builtin__.__NUMPY_SETUP__ = True

from numpy.distutils.misc_util import get_numpy_include_dirs, get_mathlibs
from numscons import GetNumpyEnvironment, scons_get_paths, \
                                  scons_get_mathlib

def CheckWincrypt(context):
    from copy import deepcopy
    src = """\
/* check to see if _WIN32 is defined */
int main(int argc, char *argv[])
{
#ifdef _WIN32
    return 0;
#else
    return 1;
#endif
}
"""

    context.Message("Checking if using wincrypt ... ")
    st = context.env.TryRun(src, '.C')
    if st[0] == 0:
        context.Result('No')
    else:
        context.Result('Yes')
    return st[0]
    
env = GetNumpyEnvironment(ARGUMENTS)
env.Append(CPPPATH = scons_get_paths(env['include_bootstrap']))

mlib = scons_get_mathlib(env)
env.AppendUnique(LIBS = mlib)

# On windows, see if we should use Advapi32
if os.name == 'nt':
    config = env.NumpyConfigure(custom_tests = {'CheckWincrypt' : CheckWincrypt})
    if config.CheckWincrypt:
        config.env.AppendUnique(LIBS = 'Advapi32')

sources = [os.path.join('mtrand', x) for x in 
           ['mtrand.c', 'randomkit.c', 'initarray.c', 'distributions.c']]

# XXX: Pyrex dependency
mtrand = env.NumpyPythonExtension('mtrand', source = sources)

=== numpy/doc/cython/Makefile ===
# Simple makefile to quickly access handy build commands for Cython extension
# code generation.  Note that the actual code to produce the extension lives in
# the setup.py file, this Makefile is just meant as a command
# convenience/reminder while doing development.

help:
	@echo "Numpy/Cython tasks.  Available tasks:"
	@echo "ext  -> build the Cython extension module."
	@echo "html -> create annotated HTML from the .pyx sources"
	@echo "test -> run a simple test demo."
	@echo "all  -> Call ext, html and finally test."

all: ext html test

ext: numpyx.so

test:   ext
	python run_test.py

html: numpyx.pyx.html

numpyx.so: numpyx.pyx numpyx.c
	python setup.py build_ext --inplace

numpyx.pyx.html: numpyx.pyx
	cython -a numpyx.pyx
	@echo "Annotated HTML of the C code generated in numpy.pyx.html"

# Phony targets for cleanup and similar uses

.PHONY: clean
clean:
	rm -rf *~ *.so *.c *.o *.html build

# Suffix rules
%.c : %.pyx
	cython $<

## python-numpy 1.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

PYVER =
PYTHON = python$(PYVER)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = LANG=C sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck \
        dist dist-build

#------------------------------------------------------------------------------

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  dist PYVER=... to make a distribution-ready tree"
	@echo "  upload USER=...  to upload results to docs.scipy.org"

clean:
	-rm -rf build/* source/reference/generated


#------------------------------------------------------------------------------
# Automated generation of all documents
#------------------------------------------------------------------------------

# Build the current numpy version, and extract docs from it.
# We have to be careful of some issues:
# 
# - Everything must be done using the same Python version
# - We must use eggs (otherwise they might override PYTHONPATH on import).
# - Different versions of easy_install install to different directories (!)
#

INSTALL_DIR = $(CURDIR)/build/inst-dist/
INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages

DIST_VARS=SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH) python$(PYVER) `which sphinx-build`" PYTHON="PYTHONPATH=$(INSTALL_PPH) python$(PYVER)"

UPLOAD_TARGET = $(USER)@docs.scipy.org:/home/docserver/www-root/doc/numpy/

upload:
	@test -e build/dist || { echo "make dist is required first"; exit 1; }
	@test output-is-fine -nt build/dist || { \
		echo "Review the output in build/dist, and do 'touch output-is-fine' before uploading."; exit 1; }
	rsync -r -z --delete-after -p \
	    $(if $(shell test -f build/dist/numpy-ref.pdf && echo "y"),, \
	         --exclude '**-ref.pdf' --exclude '**-user.pdf') \
	    $(if $(shell test -f build/dist/numpy-chm.zip && echo "y"),, \
	         --exclude '**-chm.zip') \
	    build/dist/ $(UPLOAD_TARGET)

dist:
	make $(DIST_VARS) real-dist

real-dist: dist-build html
	test -d build/latex || make latex
	make -C build/latex all-pdf
	-test -d build/htmlhelp || make htmlhelp-build
	-rm -rf build/dist
	cp -r build/html build/dist
	perl -pi -e 's#^\s*(<li><a href=".*?">NumPy.*?Manual.*?&raquo;</li>)#<li><a href="/">Numpy and Scipy Documentation</a> &raquo;</li>#;' build/dist/*.html build/dist/*/*.html build/dist/*/*/*.html
	cd build/html && zip -9r ../dist/numpy-html.zip .
	cp build/latex/numpy-*.pdf build/dist
	-zip build/dist/numpy-chm.zip build/htmlhelp/numpy.chm
	cd build/dist && tar czf ../dist.tar.gz *
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s

dist-build:
	rm -f ../dist/*.egg
	cd .. && $(PYTHON) setupegg.py bdist_egg
	install -d $(subst :, ,$(INSTALL_PPH))
	$(PYTHON) `which easy_install` --prefix=$(INSTALL_DIR) ../dist/*.egg


#------------------------------------------------------------------------------
# Basic Sphinx generation rules for different formats
#------------------------------------------------------------------------------

generate: build/generate-stamp
build/generate-stamp: $(wildcard source/reference/*.rst)
	mkdir -p build
	$(PYTHON) \
		./sphinxext/autosummary_generate.py source/reference/*.rst \
		-p dump.xml -o source/reference/generated 
	touch build/generate-stamp

html: generate
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	$(PYTHON) postprocess.py html build/html/*.html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: generate
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: generate
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

htmlhelp-build: htmlhelp build/htmlhelp/numpy.chm
%.chm: %.hhp
	-hhc.exe $^

latex: generate
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	$(PYTHON) postprocess.py tex build/latex/*.tex
	perl -pi -e 's/\t(latex.*|pdflatex) (.*)/\t-$$1 -interaction batchmode $$2/' build/latex/Makefile
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

coverage: build
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: generate
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: generate
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

## python-numpy 1.4.1

=== doc/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 SPHINXOPTS    =
 SPHINXBUILD   = LANG=C sphinx-build
 PAPER         =
+
+NEED_AUTOSUMMARY = $(shell $(PYTHON) -c 'import sphinx; print sphinx.__version__ < "0.7" and "1" or ""')
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -49,7 +51,7 @@
 INSTALL_DIR = $(CURDIR)/build/inst-dist/
 INSTALL_PPH = $(INSTALL_DIR)/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/site-packages:$(INSTALL_DIR)/lib/python$(PYVER)/dist-packages:$(INSTALL_DIR)/local/lib/python$(PYVER)/dist-packages
 
-DIST_VARS=SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH) python$(PYVER) `which sphinx-build`" PYTHON="PYTHONPATH=$(INSTALL_PPH) python$(PYVER)"
+DIST_VARS=SPHINXBUILD="LANG=C PYTHONPATH=$(INSTALL_PPH) python$(PYVER) `which sphinx-build`" PYTHON="PYTHONPATH=$(INSTALL_PPH) python$(PYVER)" SPHINXOPTS="$(SPHINXOPTS)"
 
 UPLOAD_TARGET = $(USER)@docs.scipy.org:/home/docserver/www-root/doc/numpy/
 
@@ -95,9 +97,11 @@
 generate: build/generate-stamp
 build/generate-stamp: $(wildcard source/reference/*.rst)
 	mkdir -p build
+ifeq ($(NEED_AUTOSUMMARY),1)
 	$(PYTHON) \
 		./sphinxext/autosummary_generate.py source/reference/*.rst \
 		-p dump.xml -o source/reference/generated 
+endif
 	touch build/generate-stamp
 
 html: generate
@@ -128,6 +132,10 @@
 %.chm: %.hhp
 	-hhc.exe $^
 
+qthelp: generate
+	mkdir -p build/qthelp build/doctrees
+	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
+
 latex: generate
 	mkdir -p build/latex build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex

=== debian/changelog ===
python-numpy (1:1.4.1-5) unstable; urgency=low

  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - fixed small typo in description
  * debian/patches/changeset_r8364.diff
    - fix memory corruption (double free); thanks to Joseph Barillari for the
      report and to Michael Gilbert for pushing resolution; Closes: #581058

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Oct 2010 10:19:13 +0200

python-numpy (1:1.4.1-4) unstable; urgency=low

  * debian/rules
    - starts providing /usr/share/python/dist/python-numpy file, to be used by
      dh_python2/dh_pysupport for dependency declaration
  * debian/{dh_numpy, python-numpy.install, python-numpy.manpages}
    - added debhelper script dh_numpy that using .../dist/python-numpy adds to
      python:Depends the correct versioned depends on python-numpy; thanks to
      Piotr Ożarowski for providing the script
  * debian/patches/changeset_r8526.diff
    - cherry-picked from upstream SVN patches to define the quad prec little
      endian double on Alpha, fixing the FTBFS on that arch; thanks to David
      Cournapeau for the patch and huge support! Closes: #590481
  * debian/{README.DebianMaints, python-numpy.docs}
    - added a mini-guide/explanation about dh_numpy and/or pydist files

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Jul 2010 00:05:00 +0200

python-numpy (1:1.4.1-3) unstable; urgency=low

  * debian/rules
    - use the python-support specific directory (/usr/lib/pymodules) for the
      symlinks /usr/include/python*/numpy; this correctly installs the header
      files (mainly _numpyconfig.h) used by depending packages; Closes: #589592
  * debian/control
    - removed José Fonseca from Uploaders: thanks for your previous work!
  * debian/patches/changeset_r851{0,1}.diff
    - cherry-picked from upstream SVN patches to correctly detect double long on
      powerppc, fixing the FTBFS on that arch

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Jul 2010 19:42:47 +0200

python-numpy (1:1.4.1-2) unstable; urgency=low

  * debian/rules
    - set MPLCONFIGDIR to a place writable even on buildd, the build dir
      (referenced with `.')

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Jul 2010 20:25:40 +0200

python-numpy (1:1.4.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!
    - added myself to Uploaders
    - added python-sphinx and python-matplotlib to b-d, needed to build doc
    - drop python-numpy-ext, transitional package already in stable
    - bump Standards-Version to 3.9.0 (no changes needed)
    - removed Conflicts: all versions are already older than the ones in lenny
  * New upstream release
  * debian/patches/04_fix_utils_deprecated.patch
    - removed, upstream code has changed
  * debian/patches/05_fix_endianness_detection.patch
    - refreshed for new upstream code
    - disabled, since it generates a corrupted package (left here just in case)
  * debian/copyright
    - updated copyright notice; thanks to Yaroslav Halchenko for the report;
      Closes: #573614
    - added all the missing notices for copyrights & licenses differing from
      main ones
  * debian/rules
    - remove 'get-orig-source' target, no more needed
    - build and install documentation; thanks to Joel for the report;
      Closes: #508113
  * debian/python-numpy.install
    - sorted, it's clearer to read
    - added installation for 'compat', 'matrixlib' and 'polynomial' submodules
  * debian/patches/07_bts585309_string_exceptions.diff
    - added upstream patch (r8463) to remove string exceptions; Closes: #585309
  * debian/{compat, control, rules, *.install, *.doc}
    - switch from cdbs to dh7
  * debian/{control, rules}
    - use system-wide jquery instead of an embedded one
  * debian/python-numpy-doc.doc-base
    - added doc-base
  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - use a local copy of python.org object.inv file instead of downloading it
      from internet at doc build-time
  * debian/patches/03_force_f2py_version.patch
    - added description
  * debian/{control, README.f2py}
    - properly support f2py executables, Suggesting python-dev and gfortran and
      adding a readme file to explain that; thanks to Kevin Mitchell for the
      report; Closes: #586395
  * debian/{control, rules, *.preinst}
    - switch from python-central to python-support
  * debian/python-numpy.docs
    - separate each file in a different line and install README.f2py

  [ Piotr Ożarowski ]
  * debian/control: add XB-Python-Version to python-numpy-dbg package

  [ Kumar Appaiah ]
  * Convert to new source format: 3.0 (quilt) (Closes: #482706)
    + debian/rules: Remove CDBS' quilt related calls.
    + Add debian/source/format which says "3.0 (quilt)".

  [ Jakub Wilk ]
  * Add --prefix=/usr to setup.py in order to appease Python >= 2.6.
  * Move f2pyX.Y-dbg manpages from python-numpy to python-numpy-dbg.
  * Actually build f2pyX.Y-dbg and f2py-dbg binaries.
  * Fix shebangs for f2py* binaries.

  [ Matthias Klose ]
  * Use setup.py install --install-layout; specifying --prefix installs
    into the wrong location.

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Jul 2010 11:50:56 +0200

python-numpy (1:1.3.0-3) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/patches/05_fix_endianness_detection.patch:
    Force endian.h usage in npy_endian.h. Thanks to Andreas Barth
    for bringing this to our notice. (Closes: #544291)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 26 Aug 2009 14:20:56 -0500

python-numpy (1:1.3.0-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * Fix endianness detection. Closes: #543538.

  [ Matthias Klose ]
  * Do not directly depend on the versioned python2.x packages, but
    keep the versioned interpreter names in the f2py2.x scripts. If these
    are needed with this dependency, then we need a new python-numpy-f2py


=== debian/control ===
Source: python-numpy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Alexandre Fayolle <afayolle@debian.org>, Matthias Klose <doko@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Sandro Tosi <morph@debian.org>
Build-Depends: python-all-dev, python-all-dbg, python-support (>= 1), gfortran (>= 4:4.2), libblas-dev [!arm !m68k], liblapack-dev [!arm !m68k], debhelper (>= 7.0.50~), patchutils, python-docutils, quilt, python-sphinx, python-matplotlib
XS-Python-Version: >= 2.4
Standards-Version: 3.9.0
Vcs-Svn: svn://svn.debian.org/python-modules/packages/numpy/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/numpy/trunk/
XS-DM-Upload-Allowed: yes
Homepage: http://numpy.scipy.org/

Package: python-numpy
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-numpy-doc, python-numpy-dbg, python-nose (>= 0.10.1), python-dev, gfortran
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}, python-numpy-dev, python-f2py
Description: Numerical Python adds a fast array facility to the Python language
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which are
 now deprecated and shouldn't be used except to support older
 software.

Package: python-numpy-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-numpy (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Replaces: python-numpy (<< 1:1.3.0-4)
XB-Python-Version: ${python:Versions}
Description: Fast array facility to the Python language (debug extension)
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-numpy-doc
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Architecture: all
Description: NumPy documentation
 Numpy contains a powerful N-dimensional array object, sophisticated
 (broadcasting) functions, tools for integrating C/C++ and Fortran
 code, and useful linear algebra, Fourier transform, and random number
 capabilities.
 .
 Numpy replaces the python-numeric and python-numarray modules which
 are now deprecated and shouldn't be used except to support older
 software.
 .
 This package contains documentation for Numpy and f2py.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS=$(shell pyversions -vr debian/control)
PYDEF=$(shell pyversions -dv)
PYLIBPATH := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_platlib")

unexport LDFLAGS
export ATLAS=None

%:
	dh $@;

override_dh_auto_clean:
	dh_auto_clean
	rm -rf `find -name build -type d`
	rm -rf `find . -name "*.pyc" -type f`
	rm -rf debian/tmp2

override_dh_installman:
	dh_installman numpy/f2py/f2py.1
	# link manpage for versioned and dbg incarnations of f2py
	for v in $(PYVERS); do \
		dh_link /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v.1.gz; \
		dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py$$v-dbg.1.gz; \
	done
	dh_link -ppython-numpy-dbg /usr/share/man/man1/f2py.1.gz /usr/share/man/man1/f2py-dbg.1.gz;

override_dh_install:
	# add shebang information to f2py script
	for v in $(PYVERS); do \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v," debian/tmp/usr/bin/f2py$$v; \
		cp -a debian/tmp/usr/bin/f2py$$v debian/tmp/usr/bin/f2py$$v-dbg ; \
		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v-dbg," debian/tmp/usr/bin/f2py$$v-dbg; \
	done
	# install unversioned f2py script
	dh_link usr/bin/f2py$(PYDEF) usr/bin/f2py
	dh_link -ppython-numpy-dbg usr/bin/f2py$(PYDEF)-dbg usr/bin/f2py-dbg

	# moving those scripts away until after pysupport has run, to not
	# generate depends on pythonx.y
	mkdir debian/tmp2
	mv debian/tmp/usr/bin/* debian/tmp2

	dh_install

	# remove files installed from .install (that's due to the dir listed there)
	find $(CURDIR)/debian/python-numpy/ -name "*_d.so" -delete

	# create symlinks for .h files
	for i in $(PYVERS); do \
	[ -d $(CURDIR)/debian/python-numpy/usr/include/python$$i ] || \
		mkdir -p $(CURDIR)/debian/python-numpy/usr/include/python$$i; \
		dh_link usr/lib/pymodules/python$$i/numpy/core/include/numpy usr/include/python$$i/numpy; \
	done
	for i in $(PYVERS); do \
	[ -d $(CURDIR)/debian/python-numpy/usr/include/python$${i}_d ] || \
		mkdir -p $(CURDIR)/debian/python-numpy/usr/include/python$${i}_d; \
		dh_link usr/lib/pymodules/python$$i/numpy/core/include/numpy usr/include/python$${i}_d/numpy; \
	done

	# share -dbg and normal package doc dirs
	rm -rf debian/python-numpy-dbg/usr/share/doc/python-numpy-dbg
	dh_link usr/share/doc/python-numpy usr/share/doc/python-numpy-dbg

	# remove extra license in doc
	rm -f debian/python-numpy-doc/usr/share/doc/python-numpy-doc/html/_sources/license.txt

	# use system-wide jquery
	rm -f debian/python-numpy-doc/usr/share/doc/python-numpy-doc/html/_static/jquery.js
	dh_link -ppython-numpy-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-numpy-doc/html/_static/jquery.js

	# create the pydist file
	mkdir -p debian/python-numpy/usr/share/python/dist/
	echo "numpy python-numpy (>= 1:1.4.1), python-numpy (<< 1:1.5)" > debian/python-numpy/usr/share/python/dist/python-numpy

override_dh_compress:
	dh_compress -X.js

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-numpy --dbg-package=python-numpy-dbg
endif


override_dh_pysupport:
	dh_pysupport

	# copy back f2py* bin, in their ultimate location
	mv debian/tmp2/f2py?.? debian/python-numpy/usr/bin/
	mkdir -p debian/python-numpy-dbg/usr/bin/
	mv debian/tmp2/f2py?.?-dbg debian/python-numpy-dbg/usr/bin/

build: build-arch build-indep ;

build-arch:
	dh build


build-indep: 
	# build doc only for default python version
	(export MPLCONFIGDIR=. ; make -C doc html PYTHONPATH=../$(PYLIBPATH))
	rst2html numpy/f2py/docs/usersguide/index.txt > numpy/f2py/docs/usersguide/index.html

update_intersphinx_mapping:
	wget http://docs.python.org/dev/objects.inv -O debian/python.org_objects.inv

## python-numpy 1.5.1

=== debian/changelog ===
python-numpy (1:1.5.1-3) unstable; urgency=low

  * debian/rules
    - make /u/b/f2py{,-dbg} real files (not symlink) with the shebang pointing
      to unversioned python{,-dbg}, this makes the package more binNMU friendly;
      thanks to Jakub Wilk for the report; Closes: #643857

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Oct 2011 11:43:55 +0200

python-numpy (1:1.5.1-2) unstable; urgency=low

  * debian/rules
    - don't compress objects.inv; thanks to Michael Fladischer for the report;
      Closes: #608771

 -- Sandro Tosi <morph@debian.org>  Mon, 04 Apr 2011 15:27:09 +0200

python-numpy (1:1.5.1-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - python-sphinx version 1.0.1 is the minimum required
    - bump Standards-Version to 3.9.1 (no changes needed)
  * debian/patches/{07_bts585309_string_exceptions.diff, changeset_*}
    - removed, available in upstream tarball
  * debian/rules
    - install libnpymath.a; thanks to Martin Hoefling for the report;
      Closes: #596987
    - updated pydist file definition

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Dec 2010 00:14:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Alexandre Fayolle <afayolle@debian.org>, Matthias Klose <doko@debian.org>, Ondrej Certik <ondrej@certik.cz>, David Cournapeau <cournape@gmail.com>, Sandro Tosi <morph@debian.org>
-Build-Depends: python-all-dev, python-all-dbg, python-support (>= 1), gfortran (>= 4:4.2), libblas-dev [!arm !m68k], liblapack-dev [!arm !m68k], debhelper (>= 7.0.50~), patchutils, python-docutils, quilt, python-sphinx, python-matplotlib
+Build-Depends: python-all-dev, python-all-dbg, python-support (>= 1), gfortran (>= 4:4.2), libblas-dev [!arm !m68k], liblapack-dev [!arm !m68k], debhelper (>= 7.0.50~), patchutils, python-docutils, quilt, python-sphinx (>= 1.0.1), python-matplotlib
 XS-Python-Version: >= 2.4
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/numpy/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/numpy/trunk/
 XS-DM-Upload-Allowed: yes

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,10 @@
 		sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python$$v-dbg," debian/tmp/usr/bin/f2py$$v-dbg; \
 	done
 	# install unversioned f2py script
-	dh_link usr/bin/f2py$(PYDEF) usr/bin/f2py
-	dh_link -ppython-numpy-dbg usr/bin/f2py$(PYDEF)-dbg usr/bin/f2py-dbg
+	cp -a debian/tmp/usr/bin/f2py$(PYDEF) debian/tmp/usr/bin/f2py
+	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python," debian/tmp/usr/bin/f2py
+	cp -a debian/tmp/usr/bin/f2py$(PYDEF)-dbg debian/tmp/usr/bin/f2py-dbg
+	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python-dbg," debian/tmp/usr/bin/f2py-dbg
 
 	# moving those scripts away until after pysupport has run, to not
 	# generate depends on pythonx.y
@@ -71,10 +73,10 @@
 
 	# create the pydist file
 	mkdir -p debian/python-numpy/usr/share/python/dist/
-	echo "numpy python-numpy (>= 1:1.4.1), python-numpy (<< 1:1.5)" > debian/python-numpy/usr/share/python/dist/python-numpy
+	echo "numpy python-numpy (>= 1:1.5.1), python-numpy (<< 1:1.6)" > debian/python-numpy/usr/share/python/dist/python-numpy
 
 override_dh_compress:
-	dh_compress -X.js
+	dh_compress -X.js -Xobjects.inv
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
@@ -86,9 +88,21 @@
 	dh_pysupport
 
 	# copy back f2py* bin, in their ultimate location
-	mv debian/tmp2/f2py?.? debian/python-numpy/usr/bin/
+	mv debian/tmp2/f2py?.? debian/tmp2/f2py debian/python-numpy/usr/bin/
 	mkdir -p debian/python-numpy-dbg/usr/bin/
-	mv debian/tmp2/f2py?.?-dbg debian/python-numpy-dbg/usr/bin/
+	mv debian/tmp2/f2py?.?-dbg debian/tmp2/f2py-dbg debian/python-numpy-dbg/usr/bin/
+
+	# GIGANTIC HACK - add back libnpymath.a
+	# get the file names, generate the new location, create the dir if missing, copy
+	# the file and then add it to the public list
+	for file in ./debian/tmp/usr/lib/python2.*/*-packages/numpy/core/lib/libnpymath.a ; do \
+		newfile=$$(echo $$file | sed 's|tmp|python-numpy|' | sed "s|lib/python|lib/pyshared/python|" | sed 's|[^/]*-packages/||') ;\
+		mkdir -p $$(dirname $$newfile) ;\
+		cp -a $$file $$newfile ;\
+		installedfile=$$(echo $$newfile | sed 's|./debian/python-numpy||') ;\
+		# add to public modules list ;\
+		echo $$installedfile >> ./debian/python-numpy/usr/share/python-support/python-numpy.public ;\
+	done
 
 build: build-arch build-indep ;

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/numpy/numpy-([\d\.]+)\.tar\.gz
